final cut doesn't work

Discussion in 'MacBook Pro' started by djstarrock, Dec 14, 2006.

  1. djstarrock macrumors 6502a

    djstarrock

    Joined:
    Nov 23, 2006
    Location:
    UK, Scotland, Glasgow
    #1
    I have a MacBook I just bought Final Cut Studios off apple website. It says I need AGP graphics card can you help
     
  2. Eraserhead macrumors G4

    Eraserhead

    Joined:
    Nov 3, 2005
    Location:
    UK
    #2
    FCP should run fine on a Macbook (see this)

    Motion will probably run badly as it needs a real graphics card.
     
  3. djstarrock thread starter macrumors 6502a

    djstarrock

    Joined:
    Nov 23, 2006
    Location:
    UK, Scotland, Glasgow
  4. Addo macrumors member

    Joined:
    Jan 11, 2006
    #4
    FCP will work on a macbook - I've used it on mine.

    As mentioned Motion I doubt will run - if it does it will run so slowly you'd wish it wouldn''t run at all - I haven't even bothered to load it on my macbook. I've only loaded FCP and compressor + Qmaster on my macbook, whilst I've put the the whole suite on my MBP.

    Depending on what you want to use FCS for it may be worth your while upgrading to a MBP - but I'd say only if you want to run Motion.

    Not probably the news you wanted to hear....
     
  5. djstarrock thread starter macrumors 6502a

    djstarrock

    Joined:
    Nov 23, 2006
    Location:
    UK, Scotland, Glasgow
    #5
    I don't have the money to buy a mbp even my mb was stretching the budget so the mbp isn't an option, could you think of any reason it isn't working
     
  6. enclave macrumors member

    Joined:
    Feb 24, 2004
    #6

    A little bit of information would be helpful, do you have FCP now? Does it open up and crash? Does it not open at all? Is their an error?
     
  7. djstarrock thread starter macrumors 6502a

    djstarrock

    Joined:
    Nov 23, 2006
    Location:
    UK, Scotland, Glasgow
    #7
    Ok I have a MacBook C2D 2.0ghz 1GB ram, when i open up Final cut it comes up with an error saying AGP graphics card not there.
     
  8. killmoms macrumors 68040

    killmoms

    Joined:
    Jun 23, 2003
    Location:
    Washington, DC
    #8
    I'm having trouble swallowing the claim that you "bought" Final Cut if you're getting that error. Unless you "bought" an "old version" of Final Cut Studio (or FCP), which is to say, anything before 5.1. Older versions such as 4.5 or 5.0 will NOT WORK, since they were not built for Intel Macs. The "no AGP graphics" error in particular sounds like you're trying to run version 4.5 (which looked for an AGP card, since at the time there was no PCIe in any Mac).

    FCS 5.1 will work just fine with a MacBook.
     
  9. enclave macrumors member

    Joined:
    Feb 24, 2004
    #9
    I'd pretty much have to say spot on there.

    If you did buy it you should have bought FCP 5.1, if not and you bought a used copy or pirated it then you're out of luck.
     

Share This Page